<p-blockUI [blocked]="blockedDocument"
  ><p-progressSpinner></p-progressSpinner>
</p-blockUI>
<button
  pButton
  pRipple
  label="พิมพ์เอกสาร"
  icon="pi pi-print"
  printTitle="ใบส่งต่อ"
  printSectionId="print-section"
  (click)="print()"
></button>
<div id="print-section">
    <h2 align="center">
      <b
        ><span style="font-size: 12pt;"
          >แบบสำหรับส่งผู้ป่วยไปรับการตรวจหรือรักษาต่อ{{referOut.hname}}</span
        ></b
      >
    </h2>    
  <table width="100%">
    <tr>
      <td width="50%">
        <span style="font-size: 12pt;">จาก <b>{{referOut.hname}}</b></span>
      </td>
      <td>
        <span style="font-size: 12pt;"
          >เลขที่ <b>{{referOut.refer_no}}</b></span
        >
      </td>
    </tr>
    <tr>
      <td width="50%">
        <span style="font-size: 12pt;"
          >ถึง <b>{{referOut.refer_hospname}}</b></span
        >
      </td>
      <td>
        <span style="font-size: 12pt;"
          >วันที่ <b>{{referOut.refer_date | thaidate:'medium'}}</b></span
        >
      </td>
    </tr>
  </table>

  <b
    ><u style="text-decoration-line: underline; text-decoration-style: double;"
      >ข้อมูลผู้ป่วย</u
    ></b
  ><br />
  <span style="line-height: 150%;">
  HN: <b>{{referOut.hn}}</b> สิทธิ์: {{referOut.pttype_name}} เลขที่
  <b>{{referOut.pttypeno}}</b> สถานบริการหลัก <b>{{referOut.hospname}}</b>  </span><br />
  <span style="line-height: 150%;">
    ชื่อ-สกุล {{referOut.pname}}{{referOut.fname}} {{referOut.lname}} อายุ
  {{referOut.age}} (ปี-เดือน-วัน) เลขที่บัตรประชาชน
  <b>{{referOut.cid}}</b>
  </span>  <br />
  <span style="line-height: 150%;">
  ที่อยู่ {{referOut.addrpart}} {{referOut.address_name}}
  </span>
  <br />
  <span style="line-height: 150%;">
  ประเภทผู้ป่วย <b>{{referOut.typept_name}}</b> เกิดเหตุวันที่
  ......................... เวลา ................. น.
  </span><br />
  <span style="line-height: 150%;">
  วันที่ส่งต่อ
  <b
    >{{referOut.refer_date | thaidate:'short'}} เวลา {{referOut.refer_time}}
    น.</b
  >
  วันที่หมดอายุ <b>{{referOut.expire_date | thaidate:'short'}}</b>
  </span><br />
  <span style="line-height: 150%;">
  <b
    ><u style="text-decoration-line: underline; text-decoration-style: double;"
      >ประวัติการเจ็บป่วยปัจจุบัน
    </u></b
  >
  </span>
  <br />
  <span style="line-height: 150%;">
  CC:<b> {{signtext.cc}}</b></span><br />
  <span style="line-height: 150%;"><b>PI:</b> {{signtext.hpi}}</span><br />
  <span style="line-height: 150%;"><b>ประวัติการเจ็บป่วยในอดีตและครอบครัว</b
  >....................................................................................................
  </span><br />
  <div *ngIf="allergy" style="line-height: 150%;"><b>ประวัติการแพ้ยา</b>
    <table width="100%">
      <tr>
        <th width="50%">
        </th>
        ชื่อยา
        <th width="50%">
        อาการ
        </th>
      </tr>
      <tr *ngFor="let item of allergy">
        <td>
          {{item.drug_name}}
        </td>
        <td>
          {{item.symptom}}
        </td>
      </tr>
    </table>
  </div>
  <span style="line-height: 150%;">
  <b
    ><u style="text-decoration-line: underline; text-decoration-style: double;"
      >V/S</u
    ></b
  >
  BW=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.body_weight_kg}}</strong></u
  >
  kg Ht=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.height_cm}}</strong></u
  >
  cm BMI:
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{bmi | number:'1.2-2' :'en' }}</strong></u
  >
  cm BT=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.temperature}}</strong></u
  >
  ํC PR=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.hr}}</strong></u
  >/min RR=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.rr}}</strong></u
  >/min BP=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.bps}}/{{signtext.pds}}</strong></u
  >
  mmHg O2 Sat=
  <u style="text-decoration-line: underline; text-decoration-style: dotted;"
    ><strong>{{signtext.oxygen_sat}}</strong></u
  >
  % |
  <b
    ><u style="text-decoration-line: underline; text-decoration-style: solid;"
      >GCS</u
    ></b
  >
  E<b>{{signtext.eye_score}}</b> M<b>{{signtext.movement_score}}</b> V<b>{{signtext.vocal_score}}</b> |
  <b
    ><u style="text-decoration-line: underline; text-decoration-style: solid;"
      >Pupil</u
    ></b
  >
  RT:<b>{{signtext.pupil_right}}</b> LT:<b>{{signtext.pupil_left}}</b> <br />
  <b>PE :</b>{{signtext.pe}} 
  </span><br />
  

  <b
    ><u style="text-decoration-line: underline; text-decoration-style: double;"
      >Doctor Note/หมายเหตุ</u
    ></b
  >
  {{referOut.refer_remark}}<br /><br />
  ........................................................................................................................................................................<br /><br />
  ........................................................................................................................................................................<br /><br />
  ........................................................................................................................................................................<br /><br />
  ........................................................................................................................................................................<br />

  <b
    ><u style="text-decoration-line: underline; text-decoration-style: double;"
      >ผลการวินิจฉัย</u
    > 
    {{signtext.diag_text}} 
  </b>
  <ul>
    <li *ngFor="let rows of diagnosis">
      <span *ngIf="rows.diag_type == 1" style="line-height: 150%;">
        <b><u>โรคหลัก</u> </b> 
      </span>
      <span *ngIf="rows.diag_type == 5" style="line-height: 150%;">
        สาเหตุภายนอก
      </span>
      <span *ngIf="rows.diag_type != 1" style="line-height: 150%;">
        โรคร่วม
      </span>
      <b>{{rows.icd_name}}</b> ({{rows.icd_code}})
    </li>
  </ul>
  <br />
  สาเหตุที่ส่ง <b>{{referOut.cause_referout_name}} </b><br />
  สิ่งที่ส่งมาด้วย [&emsp;] EKG [
  <span *ngIf="referOut.refer_xray_online == 1"  style="line-height: 150%;"><b>/</b></span><span *ngIf="referOut.refer_xray_online != 1"  style="line-height: 150%;"><b>-</b></span> ]
  ส่งภาพเอกชเรย์ออนไลน์ ทรัพย์สิน(ระบุ)........................... อื่นๆ
  {{referOut.equipwithpatient}} <br /><br />
  ........................................................................................................................................................................<br />
  <br />
  <table width="100%">
    <tr>
      <td rowspan="2" width="50%">&emsp;</td>
      <td width="5%"><span style="font-size: 11pt;">ลงชื่อ</span></td>
      <td align="right"><span style="font-size: 11pt;">แพทย์/พยาบาล</span></td>
      <td rowspan="2" width="5%">&emsp;</td>
    </tr>
    <tr>
      <td colspan="2" align="center">
        <span style="font-size: 11pt;"
          ><b>{{referOut.doctor_name}} </b><br />ใบอนุญาตเลขที่
          <b>ว.{{doctor_license}}</b></span
        >
      </td>
    </tr>
  </table>
  <div style="page-break-before: always;">
    <b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >การบันทึกการดูแลขณะนำส่ง ข้อมูลผู้ป่วย</u
      ></b
    ><br>
    <span style="line-height: 200%;">
    HN: <b>{{referOut.hn}}</b> ชื่อ-สกุล
    <b>{{referOut.pname}}{{referOut.fname}} {{referOut.lname}}</b>
    เลขที่บัตรประชาชน <b>{{referOut.cid}}</b></span>
    <br /><br />
    <table border="1" cellspacing="0" bordercollape="0">
      <tr style="height: 50px;">
        <th style="width: 8%;">เวลา</th>
        <th style="width: 8%;">Temp</th>
        <th style="width: 8%;">Pluse</th>
        <th style="width: 8%;">R</th>
        <th style="width: 10%;">Blood Pressure</th>
        <th style="width: 8%;">SaO2</th>
        <th style="width: 8%;">GCS</th>
        <th style="width: 8%;">BS</th>
        <th style="width: 8%;">Suction</th>
        <th style="width: 8%;">EKG</th>
        <th style="width: 14%;">Respirator</th>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr style="height: 50px;">
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
    <br /><br />
    IVF/Medication<br><br>
    ........................................................................................................................................................................<br />
    การดูแลมารดา/ทารก(FHS ครั้ง/นาที)<br><br>
    ........................................................................................................................................................................<br />
    อาการเปลี่ยนแปลงและหัตถการขณะนำส่ง<br /><br />
    ........................................................................................................................................................................<br /><br />
    ........................................................................................................................................................................<br /><br />
    ........................................................................................................................................................................<br />
  </div>
  <div style="page-break-before: always;">
    <span style="line-height: 150%;"><b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >ยาที่ได้รับของผู้ป่วย</u
      ></b
    >
    </span>
    <table>
      <div *ngFor="let rows of drugs; let i = index;">
        <div *ngIf="i == 0">
          <tr>
            <td> 
              <span style="line-height: 150%;">
                <b>วันที่ {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
                <b>-</b>
                {{rows.drug_name}} {{rows.qty}} {{rows.unit}} {{rows.usage_line1}}
                {{rows.usage_line2}} {{rows.usage_line3}}              
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.date_serv != drugs[i-1].date_serv )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.drug_name}} {{rows.qty}} {{rows.unit}} {{rows.usage_line1}}
              {{rows.usage_line2}} {{rows.usage_line3}}
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.date_serv == drugs[i-1].date_serv )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.drug_name}} {{rows.qty}} {{rows.unit}} {{rows.usage_line1}}
              {{rows.usage_line2}} {{rows.usage_line3}}
              </span>
            </td>
          </tr>
        </div>
      </div>
    </table>
    <span style="line-height: 150%;">
    <b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >Med Recconcile</u
      ></b
    >
    </span>
    <table>
      <div *ngFor="let rows of medrecconcile; let i = index;">
        <div *ngIf="i == 0">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.drug_receive_date | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.drug_hospname}} {{rows.drug_name}} {{rows.drug_use}}
              </span>
            </td>
          </tr>
        </div>
        <div
          *ngIf="(i > 0) && (rows.drug_receive_date != medrecconcile[i-1].drug_receive_date )"
        >
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.drug_receive_date | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.drug_hospname}} {{rows.drug_name}} {{rows.drug_use}}
              </span>
            </td>
          </tr>
        </div>
        <div
          *ngIf="(i > 0) && (rows.drug_receive_date == medrecconcile[i-1].drug_receive_date )"
        >
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.drug_hospname}} {{rows.drug_name}} {{rows.drug_use}}
              </span>
            </td>
          </tr>
        </div>
      </div>
    </table>
    <span style="line-height: 150%;">
    <b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >หัตถการ</u
      ></b
    >
    </span>
    <table>
      <div *ngFor="let rows of procedure; let i = index;">
        <div *ngIf="i == 0">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.procedure_name}}
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.date_serv != procedure[i-1].date_serv )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.procedure_name}}
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.date_serv == procedure[i-1].date_serv )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.procedure_name}}
              </span>
            </td>
          </tr>
        </div>
      </div>
    </table>
    <span style="line-height: 150%;">
    <b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >XRAY</u
      >
    </b>
    </span>
    <table>
      <div *ngFor="let rows of xray; let i = index;">
        <div *ngIf="i == 0">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.xray_date | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.xray_name}}
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.xray_date != xray[i-1].xray_date )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>วันที่ {{rows.xray_date | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.xray_name}}
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.xray_date == xray[i-1].xray_date )">
          <tr>
            <td>
              <span style="line-height: 150%;">
              <b>-</b>
              {{rows.xray_name}}
              </span>
            </td>
          </tr>
        </div>
      </div>
    </table>
    <span style="line-height: 150%;">
    <b
      ><u
        style="text-decoration-line: underline; text-decoration-style: double;"
        >ผลการตรวจชันสูตรทางห้องทดลองที่สำคัญ</u
      ></b
    >
    </span>
    <!-- <table border="1" cellspacing="0" bordercollape="0"> -->
    <table width="100%">
      <div *ngFor="let rows of lab; let i = index;">
        <div *ngIf="i == 0">
          <tr>
            <td colspan="2">
              <span style="line-height: 150%;">
              <b
                ><u
                  style="
                    text-decoration-line: underline;
                    text-decoration-style: double;
                  "
                  >{{rows.labgroup}}</u
                ></b
              >
              :
              <b>วันที่สั่งตรวจ : {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
        </div>
        <div *ngIf="(i > 0) && (rows.date_serv != lab[i-1].date_serv )">
          <tr>
            <td colspan="2"><hr width="400px" align="center" /></td>
          </tr>
          <tr>
            <td colspan="2">
              <span style="line-height: 150%;">
              <b
                ><u
                  style="
                    text-decoration-line: underline;
                    text-decoration-style: double;
                  "
                  >{{rows.labgroup}}</u
                ></b
              >
              :
              <b>วันที่สั่งตรวจ : {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
        </div>
        <div
          *ngIf="(i > 0) && (rows.date_serv == lab[i-1].date_serv ) && (rows.labgroup != lab[i-1].labgroup)"
        >
          <tr>
            <td colspan="2"><hr width="400px" align="center" /></td>
          </tr>
          <tr>
            <td colspan="2">
              <span style="line-height: 150%;">
              <b
                ><u
                  style="
                    text-decoration-line: underline;
                    text-decoration-style: double;
                  "
                  >{{rows.labgroup}}</u
                ></b
              >
              :
              <b>วันที่สั่งตรวจ : {{rows.date_serv | thaidate:'short'}}</b>
              </span>
            </td>
          </tr>
        </div>
        <tr>
          <td>
            <span style="line-height: 150%;">
            <b>-</b> <b>{{rows.lab_name}} : </b> {{rows.lab_result}}
            <b>{{rows.unit}}</b> [<b>{{rows.standard_result}}</b>]
            </span>
          </td>
        </tr>
      </div>
    </table>
  </div>
</div>
